---------------------------------------------------------------
--                                                           
--  ROBOT INTERPRETER
--  By: Martin Carlisle and Keith Shomper     
--                                                           
--  ROBOT_MENU 
--  Description : Handle choices from Robot menu 
--                       
--  By: Martin Carlisle
--                                         
-- ROBOT INTERPRETER is free software; you can redistribute it and/or 
-- modify it without restriction.  However, we ask that you
-- please retain the original author information, and clearly  
-- indicate if it has been modified.
--  
-- ROBOT INTERPRETER is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty
-- of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  
--
---------------------------------------------------------------
with Mcc.Gui.Container.Window;
package Robot_Menu is
   procedure Open_File(Name : in String);
   procedure Load_Program_Choice;
   -- implements Save As
   procedure Save_Program_Choice;
   -- implements Save
   procedure Save_Choice;
   procedure Exit_Choice;
   procedure Exit_Choice(Obj : in out Mcc.Gui.Container.Window.Window'Class); 
   
   ---------------------------------------
   -- add an instruction at the current PC
   ---------------------------------------
   procedure Insert_Instruction;
   -------------------------------------------
   -- delete the instruction at the current PC
   -------------------------------------------
   procedure Delete_Instruction;
end Robot_Menu;